
QGIS Application - Feature request #8844

PDF output option - text as text objects rather than paths
Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17527

Description

Would be nice to retain text as text rather than converting to paths and embedding the fonts if possible within PDF's. I am sure that

converting text to paths too much is increasing the file size quite a lot on complex maps. It would be good to at least have an output

settings screen that allows changes to the type of file output to be made.

Having text embedded would allow for better accessibility and searching when viewed in a PDF viewer as well.

Associated revisions

Revision 8ea38893 - 2018-12-11 03:28 AM - Nyall Dawson

[layouts][needs-docs] Add a PDF export settings dialog which is shown

whenever exporting a layout to PDF

This matches the behavior with SVG and raster exports, and allows users

to set specific properties for the export (such as text rendering format)

Fixes #8844

Revision aa155123 - 2018-12-11 05:32 AM - Nyall Dawson

[layouts][needs-docs] Add a PDF export settings dialog which is shown

whenever exporting a layout to PDF

This matches the behavior with SVG and raster exports, and allows users

to set specific properties for the export (such as text rendering format)

Fixes #8844

(cherry picked from commit 484d5d9450046188c2799d2a804f6e23c25849b0)

History

#1 - 2013-10-14 03:57 PM - James Harvey

PDF output compatibility might include a dropdown for EG. Acrobat 4 (PDF 1.3) - Acrobat 8/9 (PDF 1.7)and have PDF/X or other types of PDF standards,

along with settings with options to convert text to paths or retain as text with fonts.

#2 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority
#3 - 2014-05-14 03:45 PM - James Harvey

It would be nice to have the option to maybe set background layers to render but export the text as text objects on top.

#4 - 2016-05-24 01:05 PM - Alexander Bruy

- Category changed from Build/Install to Map Composer/Printing

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-12-11 03:27 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8ea3889368e129b651deb0016144d9f0dad671a8.
